---
title: 'Document: animationcancel event'
slug: Web/API/Document/animationcancel_event
tags:
  - API
  - Animation
  - CSS Animations
  - Document
  - Event
  - Reference
  - Web
  - animationcancel
---
<div>{{APIRef}}{{SeeCompatTable}}</div>

<p>The <strong><code>animationcancel</code></strong> event is fired when a <a href="/en-US/docs/Web/CSS/CSS_Animations">CSS Animation</a> unexpectedly aborts. In other words, any time it stops running without sending an {{domxref("Document/animationend_event", "animationend")}} event. This might happen when the {{cssxref("animation-name")}} is changed such that the animation is removed, or when the animating node is hidden using CSS. Therefore, either directly or because any of its containing nodes are hidden.</p>

<table class="properties">
 <tbody>
  <tr>
   <th>Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th>Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th>Interface</th>
   <td>{{domxref("AnimationEvent")}}</td>
  </tr>
  <tr>
   <th>Event handler property</th>
   <td>{{domxref("GlobalEventHandlers/onanimationcancel","onanimationcancel")}}</td>
  </tr>
 </tbody>
</table>

<p>The original target for this event is the {{domxref("Element")}} that had the animation applied. You can listen for this event on the {{domxref("Document")}} interface to handle it in the capture or bubbling phases. For full details on this event please see the page on <a href="/en-US/docs/Web/API/HTMLElement/animationcancel_event">HTMLElement: animationcancel</a>.</p>

<h2 id="Examples">Examples</h2>

<p>This code adds a listener to the <code>animationcancel</code> event.</p>

<pre class="brush: js">document.addEventListener('animationcancel', () =&gt; {
  console.log('Animation canceled');
});</pre>

<p>The same, but using the {{domxref("GlobalEventHandlers/onanimationcancel","onanimationcancel")}} property instead of <code>addEventListener()</code>:</p>

<pre class="brush: js">document.onanimationcancel = () =&gt; {
  console.log('Animation canceled');
};</pre>

<p id="Live_example"><a href="/en-US/docs/Web/API/HTMLElement/animationcancel_event#Live_example">See a live example of this event.</a></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS3 Animations", "#eventdef-animationevent-animationcancel")}}</td>
   <td>{{Spec2("CSS3 Animations")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.animationcancel_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/CSS_Animations">CSS Animations</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Animations/Using_CSS_animations">Using CSS Animations</a></li>
 <li>{{domxref("AnimationEvent")}}</li>
 <li>Related events: {{domxref("Document/animationstart_event", "animationstart")}}, {{domxref("Document/animationend_event", "animationend")}}, {{domxref("Document/animationiteration_event", "animationiteration")}}</li>
 <li>This event on {{domxref("Window")}} targets: {{domxref("Window/animationcancel_event", "animationcancel")}}</li>
 <li>This event on {{domxref("HTMLElement")}} targets: {{domxref("HTMLElement/animationcancel_event", "animationcancel")}}</li>
</ul>
